
Redmine - Defect #3553

error when trying to migrate from 0.7 to 0.8 when accessing the repository

2009-06-28 16:15 - blues rhythm

Status: Closed Start date: 2009-06-28

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

in production log

Processing RepositoriesController#show (for x.x.x.x at 2009-06-28 16:46:17) [GET]

  Session ID: d255f06eb5ac33f3c4cdbcf030298599

  Parameters: {"action"=>"show", "id"=>"avatars", "controller"=>"repositories"}

NoMethodError (undefined method `user_id' for #<Changeset:0xb5b892a4>):

    /vendor/rails/activerecord/lib/active_record/attribute_methods.rb:256:in `method_missing'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:210:in `send'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:210:in `preload_belongs_to

_association'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:209:in `each'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:209:in `preload_belongs_to

_association'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:40:in `send'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:40:in `preload_one_associa

tion'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:38:in `each'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:38:in `preload_one_associa

tion'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:17:in `preload_association

s'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:16:in `preload_association

s'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:16:in `each'

    /vendor/rails/activerecord/lib/active_record/association_preload.rb:16:in `preload_association

s'

    /vendor/rails/activerecord/lib/active_record/base.rb:1347:in `find_every'

    /vendor/rails/activerecord/lib/active_record/base.rb:1307:in `find_initial'

    /vendor/rails/activerecord/lib/active_record/base.rb:538:in `find'

    /vendor/rails/activerecord/lib/active_record/associations/association_collection.rb:47:in `fin

d'

    /app/models/repository.rb:126:in `find_committer_user'

    /vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in `send'

    /vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in `method_

missing'

    /app/models/changeset.rb:66:in `before_create'

    /vendor/rails/activerecord/lib/active_record/callbacks.rb:301:in `send'

    /vendor/rails/activerecord/lib/active_record/callbacks.rb:301:in `callback'

    /vendor/rails/activerecord/lib/active_record/callbacks.rb:219:in `create_without_timestamps'

    /vendor/rails/activerecord/lib/active_record/timestamp.rb:29:in `create'

    /vendor/rails/activerecord/lib/active_record/base.rb:2483:in `create_or_update_without_callbac

ks'

    /vendor/rails/activerecord/lib/active_record/callbacks.rb:207:in `create_or_update'

    /vendor/rails/activerecord/lib/active_record/base.rb:2211:in `save_without_validation'

    /vendor/rails/activerecord/lib/active_record/validations.rb:911:in `save_without_dirty'

    /vendor/rails/activerecord/lib/active_record/dirty.rb:75:in `save_without_transactions'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:106:in `save'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.

rb:66:in `transaction'
    /vendor/rails/activerecord/lib/active_record/transactions.rb:79:in `transaction'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:98:in `transaction'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:106:in `save'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:118:in `rollback_active_record_st

ate!'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:106:in `save'

    /vendor/rails/activerecord/lib/active_record/base.rb:644:in `create'

    /app/models/repository/subversion.rb:59:in `fetch_changesets'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.

rb:66:in `transaction'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:79:in `transaction'

    /vendor/rails/activerecord/lib/active_record/transactions.rb:98:in `transaction'

    /app/models/repository/subversion.rb:58:in `fetch_changesets'

    /app/models/repository/subversion.rb:57:in `reverse_each'

    /app/models/repository/subversion.rb:57:in `fetch_changesets'

    /vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in `send'

    /vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:173:in `method_

missing'

    /app/controllers/repositories_controller.rb:69:in `show'

    /vendor/rails/actionpack/lib/action_controller/base.rb:1166:in `send'

    /vendor/rails/actionpack/lib/action_controller/base.rb:1166:in `perform_action_without_filters

'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:579:in `call_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:572:in `perform_action_without_bench

mark'

    /vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_r

escue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_r

escue'

    /vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in `perform_action_without_cachin

g'

    /vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in

 `cache'

    /vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    /vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

    /vendor/rails/actionpack/lib/action_controller/base.rb:529:in `send'

    /vendor/rails/actionpack/lib/action_controller/base.rb:529:in `process_without_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:568:in `process_without_session_mana

gement_support'

    /vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in `process'

    /vendor/rails/actionpack/lib/action_controller/base.rb:389:in `process'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in `handle_request'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `dispatch'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `synchronize'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `dispatch'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `dispatch'

    /usr/lib/ruby/1.8/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/1.8/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/1.8/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/1.8/mongrel.rb:158:in `each'

    /usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `run'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `new'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `run'

    /usr/lib/ruby/1.8/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/1.8/mongrel.rb:268:in `new'

    /usr/lib/ruby/1.8/mongrel.rb:268:in `run'

    /usr/lib/ruby/1.8/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/1.8/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/1.8/mongrel/configurator.rb:281:in `run'

    /usr/bin/mongrel_rails:129:in `run'

    /usr/lib/ruby/1.8/mongrel/command.rb:212:in `run'
    /usr/bin/mongrel_rails:282

Rendering /opt/redmine/public/500.html (500 Internal Server Error)

i did

rake db:migrate RAILS_ENV="production" --trace

 any suggestions !

History

#1 - 2009-06-28 16:41 - Jean-Philippe Lang

You didn't properly upgrade your database. Migration 100 doesn't seem to have been run.

#2 - 2009-06-28 16:50 - blues rhythm

ok ... some light if you may !!

#3 - 2009-07-01 14:15 - blues rhythm

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

ok, the problem is solved after (completing) the migration (manually) with the (no help) of the awesome (formal) web site

redmine is a ok but with with no documentations it's a nightmare & it won't survive.

ah, I altered the chngesets table in the redmine database & added the user_id

ALTER TABLE changesets ADD user_id integer;

#4 - 2009-07-02 20:25 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

There must be a good reason why migration 100 hasn't been executed, like a duplicate migration.

Thanks.
